// BrainActivityDlg.h : header file
//
#include <Creatures/CreaturesConversation.h>
#include <Creatures/Brain.h>

/////////////////////////////////////////////////////////////////////////////
// CBrainActivityDlg dialog

class CBrainActivityDlg : public CDialog
{
// Construction
public:
	CBrainActivityDlg(CWnd* pParent = NULL);	// standard constructor
	~CBrainActivityDlg();

	Creatures::Session* fSession;
	UINT fTimerHandle;
	Brain fBrain;
	std::string fOldData;
	unsigned int fCurrentTimer;

	void ResetButtons();
	void StartTimer();
	void StopTimer();

// Dialog Data
	//{{AFX_DATA(CBrainActivityDlg)
	enum { IDD = IDD_BRAINACTIVITY_DIALOG };
	CButton	fTimerButton;
	CListBox	fDataList;
	CButton	fCloseButton;
	CButton	fDisconnectButton;
	CButton	fConnectButton;
	UINT	fTimerEdit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBrainActivityDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBrainActivityDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnectButton();
	afx_msg void OnDisconnectButton();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnTimerButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
